org.eclipse.core.commands.operations

## Class OperationStatus

- java.lang.Object
- - org.eclipse.core.runtime.Status
  - - org.eclipse.core.commands.operations.OperationStatus

All Implemented Interfaces:
  IStatus

    public final class OperationStatus
    extends Status

OperationStatus describes the status of a request to execute, undo, or redo an operation. This class may be instantiated by clients.

Since:
  3.1

### Field Summary

Fields
`static int` `NOTHING_TO_REDO` NOTHING_TO_REDO indicates there was no operation available for redo.
`static int` `NOTHING_TO_UNDO` NOTHING_TO_UNDO indicates there was no operation available for undo.
`static int` `OPERATION_INVALID` OPERATION_INVALID indicates that the operation available for undo or redo is not in a state to successfully perform the undo or redo.

### Fields inherited from class org.eclipse.core.runtime.Status

`CANCEL_STATUS, OK_STATUS`

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`OperationStatus(int severity, String pluginId, int code, String message, Throwable exception)` Creates a new operation status, specifying all properties.

### Method Summary

### Methods inherited from class org.eclipse.core.runtime.Status

`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NOTHING_TO_REDO

    public static final int NOTHING_TO_REDO

NOTHING_TO_REDO indicates there was no operation available for redo. (value is 1).

See Also:
  Constant Field Values

#### NOTHING_TO_UNDO

    public static final int NOTHING_TO_UNDO

NOTHING_TO_UNDO indicates there was no operation available for undo. (value is 2).

See Also:
  Constant Field Values

#### OPERATION_INVALID

    public static final int OPERATION_INVALID

OPERATION_INVALID indicates that the operation available for undo or redo is not in a state to successfully perform the undo or redo. (value is 3).

See Also:
  Constant Field Values

### Constructor Detail

#### OperationStatus

    public OperationStatus(int severity,
                           String pluginId,
                           int code,
                           String message,
                           Throwable exception)

Creates a new operation status, specifying all properties.

Parameters:
  `severity` - the severity for the status
  `pluginId` - the unique identifier of the relevant plug-in
  `code` - the informational code for the status
  `message` - a human-readable message, localized to the current locale
  `exception` - a low-level exception, or `null` if not applicable